
#ifndef SERVIDOR_TERRA_H
#define SERVIDOR_TERRA_H

#include <ptime.h>
#include <pasync.h>
#include <pinet.h>

USING_PTYPES

class Thread_Servidor_Terra: public thread
{
   protected:
      int port;
      virtual void execute();
   public:
      Thread_Servidor_Terra(int portConnexio)
      : thread(true), port(portConnexio) {}
      ~Thread_Servidor_Terra()  { }
};

class Thread_Servidor_Imatges: public thread
{
   protected:
      int port;
      virtual void execute();
   public:
      Thread_Servidor_Imatges(int portConnexio)
      : thread(true), port(portConnexio) {}
      ~Thread_Servidor_Imatges()  { }
};

#endif
